Get Beneficiary V2
Use this API to get the details of a particular beneficiary from your account. You can pass either beneficiary_id or the combination of bank_account_number and bank_ifsc to fetch the details.
Click to view the response codes.
Click to view the response codes.
Authorizations
Client ID. You can find your app id in the Merchant Dashboard.
Client secret key. You can find your secret in the Merchant Dashboard.
Headers
It is the API version to be used.
It is the request ID for the API call. This ID can be used to resolve tech realted issues. Communicate this in your tech related queries to Cashfree Payments.
Signature to be sent if IP is not whitelisted
Query Parameters
It is the unique ID you created to identify the beneficiary while creating the beneficiary.
50It is the bank account number of the beneficiary. If bank_account_number is passed in query, bank_ifsc should also be passed.
4 - 25It is the IFSC information as present in the beneficiary's bank account information. If bank_ifsc is passed in query, bank_account_number should also be passed.
11Response
OK
Contains the information of the created beneficiary
It displays the unique Id you created to identify the beneficiary.
"JOHN18011343"
It displays the name of the beneficiary.
"John Doe"
It displays the payment instrument details of the beneficiary.
It displays the contact details of the beneficiary.
It displays the current status of the beneficiary. Possible values are as follows
VERIFIED: Beneficiary is verified and is available for payoutsINVALID: Beneficiary is invalidINITIATED: Beneficiary verification initiatedCANCELLED: Beneficiary verification cancelledFAILED: Failed to verify beneficiaryDELETED: Beneficiary is deleted
VERIFIED, INVALID, INITIATED, CANCELLED, FAILED, DELETED "VERIFIED"
It displays the time of the addition of the beneficiary in UTC.
"2023-11-22T12:38:22Z"
